<template>
    <div class="common-btn-box font12" @click="handleBtnClick()">
        <span>刷新</span>
    </div>
</template>

<script setup lang="ts">
defineProps<{
    selectionList?: any[];
    handleBtnItemCallback?: () => void;
    ruleForm: any;
}>();
const emits = defineEmits<{
    (e: "handleBtnItemCallback", result: Record<string, any>): void;
}>();

// 刷新事件(全部刷新)
const handleBtnClick = async () => {
    emits("handleBtnItemCallback", {
        type: "Refresh"
    });
};
</script>

<style scoped>
@import "../index.scss";
</style>
@/api/modules/operationButtons
